function p.get_is_solid() return true end
function p.get_tex() return "block_room" end

function p.main()
    set_default_block("r_room")
    
    create_rect("e", 1,1,1, 14,14,14)
    create_rect("e", 6,15,6, 8,15,8)
    
    --Maze example.
    create_rect("grow", 4,4,1, 10,10,6)
    create_rect("block_lev4_caves2b", 5,5,1, 9,9,6)
    add_bent(7,7,7, "bent_base_ring_green")

    local msg_str = "In addition to the caves_close_to_node "
        .. "and caves_close_to_edge functions, "
        .. "there is ^x00ff00caves_close_to_node2^!. "
        .. "Each node has a numerical ID, "
        .. "and close_to_node2 tells you "
        .. "the ID of the node that the position is close to "
        .. "(provided the given position is close enough to a node). "
        .. "This is useful for putting exactly one item "
        .. "at the center of each node. "
    add_bent_s(7,7,9,"bent_base_txt",msg_str)
end
